package com.kmall.admin.dao.mk.dist;

import com.kmall.admin.entity.mk.dist.MkDistEntity;
import com.kmall.manager.dao.BaseDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 分销商，distributorDao
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:47
 */
public interface MkDistDao extends BaseDao<MkDistEntity> {
    MkDistEntity queryObjectByDistName(String distName);

//    MkDistEntity queryDistByStoreId(Map<String, Object> map);

    MkDistEntity queryDistByGoodsId(@Param("goodsId") Integer goodsId, @Param("storeId")Integer storeId);

    MkDistEntity queryDistByStoreId(Integer storeId);

    List<MkDistEntity> queryAllByHier(Map<String, Object> map);

}
